package org.colinvella.fancyfish.entity.fish;

import org.colinvella.fancyfish.item.CapturedFishItem;
import org.colinvella.fancyfish.item.FishScaleItem;
import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.entity.EntityAgeable;
import net.minecraft.world.World;

public class PufferFishEntity extends FishEntity
{
	public static final String ID = "PufferFish";
	
	public static final int PRIMARY_EGG_COLOUR = 0xCC9500;
	public static final int SECONDARY_EGG_COLOUR = 0xE2D09E;
	
	public PufferFishEntity(World world)
	{
		super(world, Species.PufferFish, 0.05, new FishScaleItem[]{ModItemRegistry.OrangeFishScale, ModItemRegistry.WhiteFishScale});
	}
	
    @Override
    public EntityAgeable createChild(EntityAgeable ageable)
    {
        return new PufferFishEntity(this.worldObj);
    }

	@Override
	public CapturedFishItem getCapturedFishItem()
	{
		return (CapturedFishItem)ModItemRegistry.CapturedPufferFish;
	}
}
