package org.colinvella.fancyfish.recipe;

import java.util.HashMap;
import java.util.Map;

import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.init.Blocks;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;

public class FishScaleHelmetRecipe extends ShapedRecipe
{
	public static final String ID = "FishScaleHelmet";
	
	public FishScaleHelmetRecipe()
	{
		super(
			ID,
			new ItemStack(ModItemRegistry.FishScaleHelmet),
			new String[] {"OWO", "BGB"},
			buildLegend());
	}
		
	private static Map<Character, ItemStack> buildLegend()
	{
		Map<Character, ItemStack> legend = new HashMap<Character, ItemStack>();
		legend.put('O', new ItemStack(ModItemRegistry.OrangeFishScale));
		legend.put('W', new ItemStack(ModItemRegistry.WhiteFishScale));
		legend.put('B', new ItemStack(ModItemRegistry.BlackFishScale));
		legend.put('G', new ItemStack(Item.getItemFromBlock(Blocks.stained_glass_pane), 1, 3)); // 3 = light blue
		return legend;
	}
}
